PHP Manual
Prev |  | Next

# ZipArchive::addFromString

(no version information, might be only in CVS)

ZipArchive::addFromString -- Add a file to a ZIP archive using its contents

## Description

bool ZipArchive::addFromString ( string localname, string contents )

Add a file to a ZIP archive using its contents.

## Parameters

localname

  The name of the entry to create.

contents

  The contents to use to create the entry. It is used in a binary safe mode.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Add an entry to a new archive

`<?php $zip = new ZipArchive; $res = $zip->open('test.zip', ZipArchive::CREATE); if ($res === TRUE) { $zip->addFromString('test.txt', 'file content goes here'); $zip->close(); echo 'ok'; } else { echo 'failed'; } ?>`

Example 2. Add file to a directory inside an archive

`<?php $zip = new ZipArchive; if ($zip->open('test.zip') === TRUE) { $zip->addFromString('dir/test.txt', 'file content goes here'); $zip->close(); echo 'ok'; } else { echo 'failed'; } ?>`

Prev | Home | Next
ZipArchive::addFile | Up | ZipArchive::close